package parsers.CPA;

import java.util.*;
import util.ChemicalCondition;
import parsers.CPA.*;

class ChemicalConditionList
{
	private Vector ChemConcVector;

	ChemicalConditionList ()
	{
		ChemConcVector = new Vector();
	}

	void add(ChemicalCondition conc)
	{
		ChemConcVector.addElement(conc);
	}

	Vector getList()
	{
		return ChemConcVector;
	}

	public String toString ()
	{
		StringBuffer retVal = new StringBuffer("");
		int numChemConc = ChemConcVector.size();

		for(int i=0; i<numChemConc; i++)
		{
			if( i == numChemConc-1 )
				retVal.append(ChemConcVector.elementAt(i).toString());
			else
				retVal.append(ChemConcVector.elementAt(i).toString() + "&\n");
		}
		return retVal.toString();
	}

	public int size()
	{
		return ChemConcVector.size();
	}
};
