package parsers.CPA;

import java.util.*;
import parsers.CPA.*;

class CellTransitionList
{
	private Vector CellTransitionsVector;

	CellTransitionList ()
	{
		CellTransitionsVector = new Vector();
	}

	void add(CellTransition conc)
	{
		CellTransitionsVector.addElement(conc);
	}

	Vector getList()
	{
		return CellTransitionsVector;
	}

	public String toString ()
	{
		StringBuffer retVal = new StringBuffer("");
		int numCellTransitions = CellTransitionsVector.size();

		for(int i=0; i<numCellTransitions; i++)
		{
			retVal.append("\t\t" + CellTransitionsVector.elementAt(i).toString() + "\n");
		}
		return retVal.toString();
	}

	public int size()
	{
		return CellTransitionsVector.size();
	}
}
